import { ScenarioConfig } from '../flamegrill';
import { ProcessedScenarios } from '../process';
import { RegressionOutput } from './regression';
export interface Analysis {
    numTicks: number;
}
export interface RegressionAnalysis extends RegressionOutput {
    regressionFile?: string;
}
export interface ScenarioAnalysis extends Analysis {
    baseline?: Analysis;
    regression?: RegressionAnalysis;
}
export interface ScenarioAnalyses {
    [scenarioName: string]: ScenarioAnalysis | undefined;
}
export declare function analyze(processedScenarios: ProcessedScenarios, config: Required<ScenarioConfig>): ScenarioAnalyses;
//# sourceMappingURL=analyze.d.ts.map